package cn.stylefeng.team.form.modular.component.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.form.modular.component.entity.FormComponent;
import cn.stylefeng.team.form.modular.component.pojo.request.FormComponentRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface FormComponentService extends IService<FormComponent> {

    void add(FormComponentRequest formComponentRequest);

    void del(FormComponentRequest formComponentRequest);

    void batchDelete(FormComponentRequest formComponentRequest);

    void edit(FormComponentRequest formComponentRequest);

    FormComponent detail(FormComponentRequest formComponentRequest);

    List<FormComponent> findList(FormComponentRequest formComponentRequest);

    PageResult<FormComponent> findPage(FormComponentRequest formComponentRequest);

}
